:root {
    --o2-width: 246px;
    --o2-height: 200px;
    --footer-height: 50px;
}

body {
    margin: 0;
    left: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;    
}

#canvas1 {
    position: absolute;
    width: 100%;
    height: 100%;    
    top: 0;
    left: 0;
    background-color: #111111;    
}
#canvas_o1 {
    position: relative;
    width: 100%;
    height: 100%;    
    top: 0;
    left: 0;    
    /* background-color: rgb(19, 53, 42);     */
}
#canvas_o2 {
    position: relative;
    width: 100%;
    height: 100%;    
    top: 0;
    left: 0;    
    /* background-color: rgb(19, 53, 42);     */
}

#page_container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;    
}

#page_objects {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: calc(100% - var(--footer-height));
    /* background-color: coral; */
}
#page_footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    /* align-items: center; */
    height: var(--footer-height);
    /* background-color: darkcyan; */    
    background-color: rgba(100, 100, 100, 0.1);
}

#page_footer_box {
    display: flex;    
    justify-content: center;
    align-items: center;    
    font-size: x-small;    
    color: rgba(200, 200, 200, 0.5);
}

/* Opcje / obiekty główne */
#o1, #o2, #o3, #o4 {
    cursor: pointer;
    margin: 20px;
}

#o1, #o3, #o4 {    
    width: var(--o2-width);
    height: var(--o2-height);
    background-color: rgba(50, 50, 50, 0.2);
    border-radius: 30px;
    color: rgba(200, 200, 200, 0.5);
    font-size: small;
    letter-spacing: 5px;

    display: flex;    
    justify-content: center;
    align-items: center;
}
#o1:hover, #o3:hover, #o4:hover {
    color: rgba(200, 200, 200, 0.8);
    letter-spacing: 10px;
}

#o2 {    
    width: var(--o2-width);
    height: var(--o2-height);
    /* background-color: rgb(0, 48, 77); */
}

/*
#o3 {    
    width: var(--o2-width);
    height: var(--o2-height);
    background-color: rgba(50, 50, 50, 0.2);
    border-radius: 30px;
    color: rgba(200, 200, 200, 0.5);
    font-size: small;
    letter-spacing: 5px;

    display: flex;    
    justify-content: center;
    align-items: center;
}
#o3:hover {
    color: rgba(200, 200, 200, 0.8);
    letter-spacing: 10px;
}
*/
/* =================================================== */
@media screen and (max-width: 800px) {      

    #page_objects {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

}
